Bug 3390 - Font Bug in tetex
Font Bug in tetex
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: tetex (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-10 11:39 EDT by David Mason
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-12 20:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 1999-06-10 11:39:27 EDT
While generating PostScript from SGML using jade to create
tex which
is then used to create dvi and on to ps, I have many errors
in
realtionship to fonts. Some fonts are not generated during
the
process. I came to this conclusion when running xdvi on the
the dvi
file. I got the following errors:

$chelseafc:~/cvs/white-papers/gtg$ xdvi gtg.dvi

kpathsea: Running mktexpk --mfmode ljfour --bdpi 600 --mag
1+0/600 --dpi 600 ecrm1000
mktexpk: Mismatched mode ljfour and resolution 600; ignoring
mode.
mktexpk: Running mf \mode:=ljfour; mag:=1+0/600;
nonstopmode; input ecrm1000
This is METAFONT, Version 2.7182 (Web2C 7.3.1)
I can't find the base file `mf.base'!
grep: ecrm1000.log: No such file or directory
mktexpk: `mf \mode:=ljfour; mag:=1+0/600; nonstopmode; input
ecrm1000' failed to make ecrm1000.600pk.kpathsea: Appending
font creation commands to missfont.log.
xdvi.bin: can't find font ecrm1000; using cmr10 instead at
600 dpi.


During the process of generating the files I got the
following messages repeatedly:

LaTeX Font Warning: Font shape `T1/pcr/b/n' undefined
(Font)              using `T1/cmr/m/n' instead on input line
188.

kpathsea: Running mktextfm  ecrm1095
mktextfm: Running mf \mode:=ljfour; mag:=1; nonstopmode;
input ecrm1095
This is METAFONT, Version 2.7182 (Web2C 7.3.1)
I can't find the base file `mf.base'!
mktextfm: `mf \mode:=ljfour; mag:=1; nonstopmode; input
ecrm1095' failed.
! Font T1/cmr/m/n/10.8=ecrm1095 at 10.95pt not loadable:
Metric (TFM) file not
found.
<to be read again>
                   relax




I am using the db2ps script provided by the DocBook tools
which Mark
Galassi created. They can be found at:
ftp://sourceware.cygnus.com:/pub/docbook-tools/

I use my own custom stylesheets which have been mirrored by
Michael
Johnson in the Red Hat whitepaper module which I believe is
on the Red
Hat CVS which I do not have access to. I can provide a
better test
case at any time, please ask.
Comment 1 Cristian Gafton 1999-07-28 19:05:59 EDT
assigned to jbj
I assume that this is the rpm bug removing shared files between
different packages, so this might be already fixed by an upgarde to a
newer rpm.
Comment 2 nelson 1999-07-31 16:21:59 EDT
This problem is quite serious. Redhat basically does not have a
working tetex at the moment, at least from Redhat 6.0 on. The font
problem mentioned here occurs in even simple Latex files - it can't
even build cmr10.

I have reproduced this bug on my up-to-date Redhat 6.0 machine by
removing all tetex installed packages, installing rawhide tetex 1.0.5
using rpm 3.0.2, running "fmtutil --all" to work around a tetex
package bug, then running "latex broken.tex" on
http://nelson.www.media.mit.edu/people/nelson/tmp/tetex-bug/broken.tex,
then running "xdvi broken.dvi" or "dvips broken.dvi".
The error log is

$ dvips -f < broken.dvi > /dev/null
This is dvips(k) 5.86 Copyright 1999 Radical Eye Software
(www.radicaleye.com)
' TeX output 1999.07.31:1618' ->
kpathsea: Running mktexpk --mfmode ljfour --bdpi 600 --mag 1+0/600
--dpi 600 cmr10
mktexpk: Mismatched mode ljfour and resolution 600; ignoring mode.
mktexpk: Running mf \mode:=ljfour; mag:=1+0/600; nonstopmode; input
cmr10
This is METAFONT, Version 2.7182 (Web2C 7.3.1)
I can't find the base file `mf.base'!
grep: cmr10.log: No such file or directory
mktexpk: `mf \mode:=ljfour; mag:=1+0/600; nonstopmode; input cmr10'
failed to make cmr10.600pk.
kpathsea: Appending font creation commands to missfont.log.
dvips: Font cmr10 not found, characters will be left blank.
<texc.pro>. [1]

something is seriously wrong with tetex-1.0.5 fonts.
Comment 3 Jeff Johnson 1999-08-12 20:40:59 EDT
Fixed (displays broken.tex correctly) in tetex-1.0.6-1.

Presumably the increase in poolsizes for jadtex fix the first
problem also. Dave, you can find tetex-1.0.6 in playpen. What's
the name of the French file in Babel that has licensing problems?
Comment 4 David Mason 1999-08-13 10:46:59 EDT
The file to remove is french.sty - it is probably already removed if
you are getting the new TeX from CTAN as they already have it out of
the TeX dist. Our problem is that we need to make sure jadetex does
not try to call it. We shipped jadetex in Powertools and we may ship
it on 6.1

Note You need to log in before you can comment on or make changes to this bug.